<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Admin_report extends CI_Controller {
	public function __construct() {
        parent::__construct();
        $this->load->model('Common');
        $this->load->helper(array('form', 'url'));
    }

    public function index() {


		$info = $this->Common->select_data_by_condition("sdd_shared_information_data", array('is_delete' => '0'), '*', 'sdd_info_id', 'desc','', '',array());		
		$data['info'] = $info;
		$data['main_content'] = 'admin/reports/index';
		$this->load->view('includes/template', $data);	

	}

    public function get_details( $id ){

        $info = $this->Common->select_data_by_condition("sdd_shared_information_data", array('is_delete' => '0', 'sdd_info_id' => $id), '*', 'sdd_info_id', 'desc','', '',array());		
		$data['details'] = $info;
		$data['main_content'] = 'admin/reports/get_details';
		$this->load->view('includes/template', $data);	

    }

    public function generate_pdf() {

        $company = $this->Common->select_data_by_condition("company_master", array('is_delete' => '0', 'company_id' => 1), '*', 'company_id', 'desc','', '',array());		
        $data['company'] = $company;
        $this->load->library('pdf');
        $info = $this->Common->select_data_by_condition("sdd_shared_information_data", array('is_delete' => '0'), '*', 'sdd_info_id', 'desc','', '',array());		
		$data['info'] = $info;
        $html = $this->load->view('admin/reports/generate_pdf', $data, true);
        $this->pdf->createPDF($html, 'sharedinformation', false);

    }

  	
 }