<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>Designated Person</h1>
    <ol class="breadcrumb">
      <li><a href="<?php echo base_url(); ?>admin/dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active"><a href="<?php echo base_url(); ?>admin/Company_master/designated_person">Designated Person</a></li>
    </ol>
  </section>

  <section class="content">

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <form method="post" action="<?php echo base_url('admin/company_master/designated_person/edit/'.$user["person_id"]) ?>" enctype="multipart/form-data">
          <div class="box box-danger">
            <div class="box-header with-border">
              <h3 class="box-title">Designated Person</h3>
            </div>
            <div class="box-body order-list">
              <div class="row">
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Employee Id</label>
                  <input type="text" class="form-control" name="dp_emp_id" placeholder="Employee Id" required="required" value="<?php echo $user["person_emp_id"]; ?>">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Name</label>
                  <input type="text" class="form-control" name="full_name" placeholder="Full Name" required="required" value="<?php echo $user["person_name"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Designation</label>
                  <input type="text" class="form-control" name="dp_designation" placeholder="Designationi" required="required" value="<?php echo $user["current_designation"]; ?>">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Permanent Address</label>
                  <input type="text" class="form-control" name="dp_per_add" placeholder="Permanent Address" required="required" value="<?php echo $user["permanent_address"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Correspondenc Address</label>
                  <input type="text" class="form-control" name="dp_cor_add" placeholder="Correspondenc Address" required="required" value="<?php echo $user["correspondenc_address"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Pan No</label>
                  <input type="text" class="form-control" name="dp_pan_no" placeholder="Pan No" required="required" value="<?php echo $user["person_pan_no"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Identifier No</label>
                  <input type="text" class="form-control" name="dp_identi_no" placeholder="Identifier No" required="required" value="<?php echo $user["person_identifier_no"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Demat Acc No</label>
                  <input type="text" class="form-control" name="dp_demat_no" placeholder="Demat Acc No" required="required" value="<?php echo $user["person_demat_ac_no"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Mobile No</label>
                  <input type="text" class="form-control" name="dp_mobile_no" placeholder="Mobile No" required="required" value="<?php echo $user["person_mobile_no"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Email Id</label>
                  <input type="email" class="form-control" name="dp_email_id" placeholder="Email Id" required="required" value="<?php echo $user["person_email_id"]; ?>">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Birth Date</label>
                  <input type="date" class="form-control" name="dp_dob" required="required" value="<?php echo $user["person_dob"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Gender</label>
                  <select class="form-control" name="gender">
                    <option value="1" <?php echo $user["person_gender"] == "1" ? "selected" : ""; ?>>Male</option>
                    <option value="2" <?php echo $user["person_gender"] == "2" ? "selected" : ""; ?>>Female</option>
                  </select>
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person city</label>
                  <input type="text" class="form-control" placeholder="City" name="dp_city" required="required" value="<?php echo $user["person_city"]; ?>">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Designated Person Profile Image</label>
                  <input type="file" class="form-control" name="profile_image" id="profile_image" value="<?php echo $user["person_profile_image"]; ?>">
                </div>
              </div>
            </div>

          </div>
          <div class="box-footer clearfix">
            <button type="submit" class="btn btn-sm btn-info btn-flat pull-right">Submit</button>
          </div>

        </div>
      </form>

    </section>
  </div>
</section>
</div>
