<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller {


	public function __construct() {
        parent::__construct();

        $this->load->model('Common');
        $this->load->helper(array('form', 'url'));
      
    }

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function index(){

		$this->load->view('index');
	
	}

	public function authenticate() {


        $this->form_validation->set_rules('email', 'Email', 'required');
        $this->form_validation->set_rules('password', 'Password', 'required');
        
        if ($this->form_validation->run() == FALSE) {

            $this->session->set_flashdata('login_error', 'Please follow validation rules!');
            redirect('login', 'refresh');
        
		} else {

           	$email = $this->input->post('email');
        	$password = $this->input->post('password');
            /* Check User Availabilty */
            $checkAuth = $this->Common->selectRecordByFields('sdd_users', "sdd_user_email LIKE '$email'");
            if (!empty($checkAuth)) {   
                
                $dbPassword = $checkAuth['sdd_user_password'];
                $dbuseremail = $checkAuth['sdd_user_email'];
                
                if (($email == $dbuseremail) && password_verify($password, $dbPassword)) {

                	$loginInfo = [
                				'sdd_user_id' => $checkAuth['sdd_user_id'],
                				'login_agent' => $_SERVER['HTTP_USER_AGENT'],
                				'login_ip' => $_SERVER['REMOTE_ADDR'],
                				'login_time' => date('Y-m-d h:i:s'),

                	];
                	$la_id = $this->Common->saveLoginInfo($loginInfo);
                	if ($la_id){
                		$this->session->set_userdata('logged_info', $la_id);
                	}


                	if($checkAuth['sdd_user_role_id'] == 1){

            // 			$data['userdetails'] = $checkAuth;
            //     		$data['main_content'] = 'master/dashboard/index';
        				// $this->load->view('includes/template', $data);
        				$_SESSION['userdetails'] = $checkAuth;
                		redirect('master/Dashboard', 'refresh');
                	}else if( $checkAuth['sdd_user_role_id'] == 2 ) {
                		//redirect to accountant
            //     		$data['userdetails'] = $checkAuth;
            //     		$data['main_content'] = 'approval-head/dashboard/index';
        				// $this->load->view('includes/template', $data);

        				$_SESSION['userdetails'] = $checkAuth;
                		redirect('admin/Dashboard', 'refresh');
                	}else if( $checkAuth['sdd_user_role_id'] == 3 ) {
                		//redirect to accountant
                		// $data['userdetails'] = $checkAuth;
                		// $data['main_content'] = 'account/dashboard/index';
        				// $this->load->view('includes/template', $data);
        				$_SESSION['userdetails'] = $checkAuth;
                		redirect('user-genral/Dashboard', 'refresh');
                	}

            //     	else if( $checkAuth['sdd_role_id '] == 4 ) {
            //     		//redirect to accountant
            // //     		$data['userdetails'] = $checkAuth;
            // //     		$data['main_content'] = 'normal/Dashboard/index';
        				// // $this->load->view('includes/template', $data);
        				// $_SESSION['userdetails'] = $checkAuth;
            //     		redirect('normal/dashboard', 'refresh');
            //     	}
					//Set login logs


					$new_session_id = $checkAuth['sdd_user_id'].'-'.$this->session->session_id;
					$this->session->set_userdata('session_id', $new_session_id);

                    // redirect('normal/dashboard', 'refresh');
                }else {                              
                    $this->session->set_flashdata('login_error', 'Invalid username or password.');
                    redirect('login', 'refresh');
                }
            } else {            	
                $this->session->set_flashdata('login_error', 'Invalid username or password.');
                redirect('login', 'refresh');
            }
        }
    }

	// public function forgetpassword(){

	// 	$this->load->view('admin/forget');

	// }

	// public function forget(){

		
	// 	$this->form_validation->set_rules('email_address', 'Email', 'required');
        
 //        if ($this->form_validation->run() == FALSE) {

 //            $this->session->set_flashdata('login_error', 'Please follow validation rules!');
 //            redirect('login', 'refresh');
        
	// 	} else {

	// 		$forgot_email_address = $this->input->post('email_address');
 //            $getUser = $this->Common->selectRecordByFields('hoo_admin',"email LIKE '".$forgot_email_address."'");
	// 		$admin_id = $getUser['id'];
	// 		$admin_email = $getUser['email'];

	// 		if( !empty($getUser) ){

	// 			$headers = "MIME-Version: 1.0" . "\r\n";
	// 			$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
	// 			$headers .= 'From: <info@cricketcups.com>' . "\r\n";

	// 			$newpwd = rand().date('is');
	// 			$new_password = password_hash($newpwd, PASSWORD_BCRYPT);

	// 			$adminData = array(
	// 				"password" => $new_password,
	// 				"updated_at" => date('Y-m-d h:i:s'),
	// 			);
	// 			$base_url = base_url();
	// 			if ($this->Common->update_data($adminData, 'hoo_admin', 'id', $admin_id)) {

	// 				//$logo=$this->config->item('common_assets_path').'images/logo/logo.jpg';
	// 				/* Forgot Password mail Send Start */
	// 				$body ="<div style='text-align:center'>Your new password set is: <b>".$newpwd."</b></div>";
	// 				$emailBody = file_get_contents(base_url() . 'email-templates/forget.html');
	// 				// $emailBody = str_replace('<<LOGO>>',$logo , $emailBody);
	// 				$emailBody = str_replace('<<EMAIL_CONTENT>>', $body, $emailBody); 
	// 				$emailBody = str_replace('<<BASEURL>>', $base_url, $emailBody);
	// 				$subject = "Password Updated";
	// 				$to_user =  $admin_email;
					
	// 				mail($to_user,$subject,$emailBody,$headers);

	// 				$this->session->set_flashdata('success', 'Mail send. Please check your email inbox for new password');
	// 				redirect($_SERVER['HTTP_REFERER'], 'refresh');
	// 			}
	// 			else
	// 			{
	// 				$this->session->set_flashdata('forgot_password_error', 'Password is not yet updated');
	// 				redirect('login', 'refresh');
	// 			}

	// 		}else{

	// 			$this->session->set_flashdata('error', 'Please check your email address');
	// 			redirect('login', 'refresh');

	// 		}

			

	// 	}

	// }

	

	public function login_history(){

		$data['main_content'] = 'admin/login/history';
        $this->load->view('includes/template', $data);

	}

	public function logout(){
		// if(session()->has("logged_info")) {
		// 	$la_id = session()->get('logged_info');
		// 	$this->comman->updateLogoutTime($la_id);
		// }

		$this->session->sess_destroy();
		redirect('Login', 'refresh');

	}

	// public function getUserAgentInfo() {
	// 	$agent = $this->request->getUserAgent();
	// 	if ($agent->isBrowser()) {
	// 		$currentAgent = $agent->getBrowser();
	// 	} elseif ($agent->isRobot()){
	// 		$currentAgent = $this->agent->robot();
	// 	} elseif ($agent->isMobile()){
	// 		$currentAgent = $agent->getMobile();
	// 	} else {
	// 		$currentAgent = 'Unidentified User Agent';
	// 	}
	// 	return $currentAgent;
	// }

	
}
