<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>Insider Profile</h1>
    <ol class="breadcrumb">
      <li><a href="<?php echo base_url(); ?>admin/dashboard"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active"><a href="<?php echo base_url(); ?>admin/Company_master/insider_profile">Insider Profile</a></li>
    </ol>
  </section>
  </section>

  <section class="content">

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <form method="post" action="<?php echo base_url('admin/company_master/insider_profile/edit/'.$user["sdd_user_id"]) ?>" enctype="multipart/form-data">
          <div class="box box-danger">
            <div class="box-header with-border">
              <h3 class="box-title">New User</h3>
            </div>
            <div class="box-body order-list">
              <div class="row">
                <div class="col-xs-12 col-sm-6">
                  <label>Full Name</label>
                  <input type="text" class="form-control" name="full_name" placeholder="Full Name" required="required" value="<?php echo $user["sdd_user_name"]; ?>">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Birth Date</label>
                  <input type="date" class="form-control" name="dob" required="required" value="<?php echo date('Y-m-d',strtotime($user['sdd_user_dob'])); ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Gender</label>
                  <select class="form-control" name="gender">
                    <option value="1" <?php echo $user["sdd_user_gender"] == "1" ? "selected" : ""; ?>>Male</option>
                    <option value="2" <?php echo $user["sdd_user_gender"] == "2" ? "selected" : ""; ?>>Female</option>
                  </select>
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Pancard Number</label>
                  <input type="text" class="form-control" name="pan_no" placeholder="Last Name" required="required" value="<?php echo $user["sdd_user_pan_no"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Phone</label>
                  <input type="text" class="form-control" name="phone_number" placeholder="Phone" value="<?php echo $user["sdd_user_phone_number"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Email</label>
                  <input type="text" class="form-control" name="email" placeholder="Email" value="<?php echo $user["sdd_user_email"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Username</label>
                  <input type="text" class="form-control" name="username" placeholder="Username" value="<?php echo $user["sdd_user_username"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Password</label>
                  <input type="password" class="form-control" name="password" placeholder="Password">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>City</label>
                  <input type="text" class="form-control" name="city" placeholder="City" value="<?php echo $user["sdd_user_city"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designation</label>
                  <input type="text" class="form-control" name="designation" placeholder="Designation" value="<?php echo $user["sdd_user_designation"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Department</label>
                  <input type="text" class="form-control" name="department" placeholder="Department" value="<?php echo $user["sdd_user_department"]; ?>">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Role</label>
                  <select class="form-control" name="user_role_id">
                    <option value="1" <?php echo $user["sdd_user_role_id"] == "1" ? "selected" : ""; ?>>Master</option>
                    <option value="2" <?php echo $user["sdd_user_role_id"] == "2" ? "selected" : ""; ?>>Admin</option>
                    <option value="3" <?php echo $user["sdd_user_role_id"] == "3" ? "selected" : ""; ?>>User-Genral</option>
                  </select>
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Profile Image</label>
                  <input type="file" class="form-control" name="profile_image" id="profile_image">
                </div>
              </div>
            </div>

          </div>
          <div class="box-footer clearfix">
            <button type="submit" class="btn btn-sm btn-info btn-flat pull-right">Submit</button>
          </div>

        </div>
      </form>

    </section>
  </div>
</section>
</div>
