
     

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>Structured Digital Database - Company Secretary Dashboard</h1>
        </section>

        <!-- Main content -->
        <section class="content">
          <!-- Small boxes (Stat box) -->
          <!-- /.row -->
          <!-- Main row -->

          <div class="row">
            <div class="col-lg-4 col-xs-12">
              <!-- small box -->
              <div class="small-box bg-aqua">
                <div class="inner">
                  <h3>Designated Person(s)</h3>
                  <ul class="">
                    <li><a href="#"><span><?php echo $total_person_data; ?></span>Person</a></li>
                  </ul>
                </div>
                <div class="icon">
                  <i class="ion ion-person"></i>
                </div>
              </div>
            </div><!-- ./col -->
            <div class="col-lg-4 col-xs-12">
              <!-- small box -->
              <div class="small-box bg-green">
                <div class="inner">
                  <h3>Insiders(s)</h3>
                  <ul class="">
                    <li><a href="#"><span><?php echo $total_insider_data; ?></span>Person</a></li>
                  </ul>
                </div>
                <div class="icon">
                  <i class="ion ion-stats-bars"></i>
                </div>
              </div>
            </div><!-- ./col -->
            <div class="col-lg-4 col-xs-12">
              <!-- small box -->
              <div class="small-box bg-yellow">
                <div class="inner">
                  <h3>Shared UPSI Instance(s)</h3>
                  <ul class="">
                    <li><a href="#"><span><?php echo $total_upsi_data; ?></span>Data</a></li>
                  </ul>
                </div>
                <div class="icon">
                  <i class="ion ion-person-add"></i>
                </div>
              </div>
            </div><!-- ./col -->
            <!-- ./col -->
          </div>

          <div class="row">

            <!-- Left col -->
            <section class="col-lg-12 connectedSortable">
              <!-- Custom tabs (Charts with tabs)-->

              <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Latest UPSI - Shared Information</h3>

              <!-- <div class="box-tools pull-right">
                  <a href="<?php echo base_url('user-genral/informationlog/add/'); ?>" class="btn btn-sm btn-info btn-flat pull-right">Add Log</a>
                
              </div> -->
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
                <table id="logbooknormaldash" class="table table-bordered table-striped no-margin lb-list">
                  <thead>
                  <tr>
                    <th>No</th>
                    <th>Name of the Recipient</th>
                    <th>Category of the Recipient</th>                    
                    <th>PAN / any other identifier of the Recipient</th>
                    <th>Name of Immediate relative along with their PAN / any other identifier or of Affiliates, in case the recipient is an entity or company</th>
                    <th>Details and Nature of UPSI along with reason of sharing thereof</th>
                    <th>Name of the person who shared such UPSI</th>
                    <th>Designation of the person who shared such UPSI</th>
                    <th>PAN / any other identifier of the person who shared such UPSI</th>
                    <th>Date and Time of Sharing</th>
                    <th>Date and Time of entry</th>
                    <th>Date when UPSI became publicly available</th>
                    <th>Remarks</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php foreach ($purchase_orders as $key => $value) { ?>
                  <tr>
                    <td><?php echo $value["sdd_info_id"]; ?></td>
                    <td><?php echo $value["sdd_name"]; ?></td>
                    <td><?php echo $value["sdd_category"]; ?></td>
                    <td><?php echo $value["sdd_pan_no_personal"]; ?></td>
                    <td><?php echo $value["sdd_cmpany_pan_no"]; ?></td>
                    <td><?php echo $value["sdd_reason_of_sharing"]; ?></td>
                    <td><?php echo $value["sdd_user_name"]; ?></td>
                    <td><?php echo $value["sdd_user_designation"]; ?> </td>
                    <td><?php echo $value["sdd_user_pan_no"]; ?></td>
                    <td><?php echo $value["sdd_sharing_datetime"]; ?></td>
                    <td><?php echo $value["created_at"]; ?></td>
                    <td><?php echo $value["sdd_upsi_date_public_available"]; ?></td>
                    <td><?php echo $value["sdd_remarks"]; ?></td>
                  </tr>               
                 
                  <?php } ?>
                  </tbody>
                </table>
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              <!-- <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-left">Place New Order</a> -->
              <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-right">View All LB Orders</a>
            </div>
            <!-- /.box-footer -->
          </div>

              <!-- quick email widget -->
              

            </section><!-- /.Left col -->
            <!-- right col (We are only adding the ID to make the widgets sortable)-->
            
          </div><!-- /.row (main row) -->

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
     
<script type="text/javascript">
  $(function () {
    $("#logbooknormaldash").DataTable({
      "responsive": true, "lengthChange": true, "autoWidth": false, "paging": true, "searching": true, "ordering":true, "info": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#logbooknormaldash_wrapper .col-md-6:eq(0)');
    // $('#logbooknormaldash').DataTable({
    //   "paging": true,
    //   "lengthChange": true,
    //   "searching": true,
    //   "ordering": true,
    //   "info": true,
    //   "autoWidth": false,
    //   "responsive": true,
    // });
  });
</script>