<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Sharing_of_upsi extends CI_Controller {
	public function __construct() {
		parent::__construct();
		$this->load->model('Common');
		$this->load->helper(array('form', 'url'));
	}

	public function index() {
		$user_id = $_SESSION['userdetails']["sdd_user_id"];
		$purchase_orders = $this->Common->select_data_by_condition("sdd_shared_information_data", array("created_by" => $user_id), '*', 'sdd_info_id', 'desc', '',array());		
		$data['purchase_orders'] = $purchase_orders;

		$data['total_upsi_data'] = $this->Common->get_count_of_table_by_condition("sdd_shared_information_data", array("is_delete" => "0", "created_by" => $user_id));
		

		$data['main_content'] = 'admin/upsi_data/sharing_of_upsi/index';
		$this->load->view('includes/template', $data);
	}


	public function add() {
		if ($this->input->method() == 'post') {
			$header_data = array(
				"sdd_name" => $this->input->post('sdd_name', TRUE),
				"sdd_category" => $this->input->post('sdd_category', TRUE),
				//"book_no" => $this->input->post('book_no', TRUE),
				"sdd_pan_no_personal" => $this->input->post('sdd_pan_no', TRUE),
				"sdd_cmpany_pan_no" => $this->input->post('sdd_pan_no_company', TRUE),
				"user_email_id" => $this->input->post('sdd_email_id', TRUE),
				"sdd_reason_of_sharing" => $this->input->post('sdd_reason_of_sharing', TRUE),
				"sdd_user_name" => $this->input->post('sdd_user_name', TRUE),
				"sdd_user_designation" => $this->input->post('sdd_user_designation', TRUE),
				"sdd_user_pan_no" => $this->input->post('sdd_user_pan_no', TRUE),
				"sdd_upsi_date_public_available" => $this->input->post('sdd_public_date', TRUE),
				"sdd_remarks" => $this->input->post('sdd_remark', TRUE),
				"sdd_sharing_datetime" => $this->input->post('sdd_sharing_datetime', TRUE),
				//"venue" => $this->input->post('venue', TRUE),
				//"po_status_id" => 2,
				"created_by" => $_SESSION['userdetails']["sdd_user_id"],
				"created_at" => date('Y-m-d h:i:s'),
			);

			$id = $this->Common->insert_data_getid($header_data, "sdd_shared_information_data");


            /* Mail Information */
            
             $from = 'info@sddjhaveri.com';
			$to   = $this->input->post('sdd_email_id', TRUE);
			$subject = 'Shared Information';
			$message = '<html>'.
                         '<body>' .
                         	'<b>Dear Sir/Madam,</b><br/>' .
                         	'<p>This email is to notify you that Mr. or Ms. '.$this->input->post('sdd_user_name', TRUE).' has shared UPSI (Unpublished Price Sensitive information) with you.</p>' .
                             '<p>Please note that this shared data has been shared with you in confidence and should not be shared with any unauthorized person. If you have any questions or concerns about this shared data, please contact directly.</p>' .
                             '<p>Please note that this is a system-generated email. Please do not reply to this mail.</p>' .
                             '<p>Thank you for your attention to this matter.</p>' .
                         '</body>' .
                         '</html>';

			$config = array(
				'protocol' => 'smtps',
				'smtp_host' => 'ssl://sg2plzcpnl466813.prod.sin2.secureserver.net',//change here
				'smtp_port' => 465,
				'smtp_user' => 'info@sddjhaveri.com',
				'smtp_pass' => '3ohPk1^1_N*x',
				'charset' => 'iso-8859-1',
				'wordwrap' => TRUE
			);


			$this->load->library('email', $config);
			$this->email->set_newline("\r\n");
			$this->email->set_mailtype("html");
			$this->email->from($from);
			$this->email->to($to);
			$this->email->subject($subject);
			$this->email->message(htmlspecialchars_decode($message),ENT_NOQUOTES);
			$this->email->send();

			// $item_count = count($this->input->post('description'));
			// $description = $this->input->post('description');
			// $quantity = $this->input->post('quantity');
			// $unit = $this->input->post('unit');
			// $rate = $this->input->post('rate');
			// $amount = $this->input->post('amount');

			// $details = array();
			// for ($index = 0; $index < $item_count; $index++) {
			// 	$detail = array(
			// 		"prc_purchase_order_header_id" => $id,
			// 		"description" => $description[$index],
			// 		"quantity" => $quantity[$index],
			// 		"unit" => $unit[$index],
			// 		"rate" => $rate[$index],
			// 		"amount" => $amount[$index],
			// 		"created_date" => date('Y-m-d h:i:s')
			// 	);
			// 	array_push($details, $detail);
			// }
			// $this->Common->insert_data_batch($details, "prc_purchase_order_detail");


			// $users = $this->Common->select_data_by_condition("sdd_users", array("sdd_user_role_id" => "2"), '*', '', '', '', '', array());
			// $notifications = array();
			// foreach ($users as $key => $value) {
			// 	$notification = array(
			// 		"user_id" => $value["id"],
			// 		"order_id" => $id,
			// 		"description" => "LB# ".$header_data["lb_number"]." created. Please review.",
			// 		"created_date" => date('Y-m-d h:i:s')
			// 	);
			// 	array_push($notifications, $notification);
			// }
			// $this->Common->insert_data_batch($notifications, "prc_notifications");
			$this->session->set_flashdata('success', 'Data Log created successfully.');
			redirect('admin/upsi_data/sharing_of_upsi', 'refresh');
		}
		else {
			//$vendor = $this->Common->selectRecordByFields("prc_vendor", array("vendor_id" => $vendor_id));
			//$data['lb_number'] = $this->Custom->getMaxPurchaseOrderNumber();
			//$data['vendor'] = $vendor;
			$data['main_content'] = 'admin/upsi_data/sharing_of_upsi/add';
			$this->load->view('includes/template', $data);
		}

		// $data['main_content'] = 'normal/logbooklist/add';
		// $this->load->view('includes/template', $data);
	}
}