<?php

class Custom extends CI_Model {

    public function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->helper('url');
        $this->load->library('email');
    }    

    public function searchVendor($search_query = "", $limit = 10) {
        $this->db->select("*");
        $this->db->from("prc_vendor as t4");
        $this->db->where("t4.is_delete = '0'");

        if ($search_query <> "") {
            $this->db->where("(t4.vendor_name LIKE '%{$search_query}%' OR t4.vendor_phone LIKE '%{$search_query}%' OR t4.vendor_email LIKE '%{$search_query}%')");
        }

        $this->db->limit($limit);
        $query = $this->db->get();
        return $query->result_array();
    }

    function getMaxPurchaseOrderNumber() {
        $this->db->select_max('po_number');
        $this->db->where('is_delete', "0");
        $query = $this->db->get('prc_purchase_order_header');
        $result = $query->row_array();
        $po_number = "PO00001";
        if ($result) {
            $number = explode("PO", $result["po_number"])[1] + 1; 
            $po_number = "PO".str_pad($number,4,"0",STR_PAD_LEFT);
        }
        return $po_number;
    }
}
