
     

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>Company Master</h1>
        </section>

        <!-- Main content -->
        <section class="content">
          <!-- Small boxes (Stat box) -->
          <!-- /.row -->
          <!-- Main row -->
          <div class="row">
            <div class="col-md-12" id="error_msg_info">
              <?php if ($this->session->flashdata('success')) { ?>
                <div class="alert alert-success fade in" style="margin-top:18px;">
                  <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
                  <strong><?php echo $this->session->flashdata('success'); ?></strong> 
                </div>
              <?php } ?>
              <?php if ($this->session->flashdata('error')) { ?>
                <div class="alert alert-danger fade in" style="margin-top:18px;">
                  <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
                  <strong><?php echo $this->session->flashdata('error'); ?></strong> 
                </div>
              <?php } ?>
            </div>
          </div>

          <div class="row">
            <div class="col-lg-4 col-xs-12">
              <!-- small box -->
              <div class="small-box bg-aqua">
                <div class="inner">
                  <h3>Master Data Of Company</h3>
                  <ul class="">
                    <li><a href="#"><span><?php echo $total_company_data; ?></span>Company Details</a></li>
                  </ul>
                </div>
                <div class="icon">
                  <i class="ion ion-person"></i>
                </div>
              </div>
            </div><!-- ./col -->
           
            
            <!-- ./col -->
          </div>

          <div class="row">

            <!-- Left col -->
            <section class="col-lg-12 connectedSortable">
              <!-- Custom tabs (Charts with tabs)-->

              <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Master Data Of Company Details</h3>

              <div class="box-tools pull-right">
                  <a href="<?php echo base_url('admin/company_master/master_data_of_company/add/'); ?>" class="btn btn-sm btn-info btn-flat pull-right">Add Company Master Data</a>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
                <table id="logbooknormaldash" class="table table-bordered table-striped no-margin lb-list">
                  <thead>
                  <tr>
                    <th>No</th>
                    <th>Company Name</th>
                    <th>Registered Office</th>
                    <th>Corporate Office</th>
                    <th>Mobile No</th>
                    <th>Landline No</th>
                    <th>Email</th>
                    <th>CIN</th>
                    <th>BSE Script Code</th>
                    <th>NSE Scrip Code</th>
                    <th>ISIN</th>
                    <th>Compliance Officer Name</th>
                    <th>Designation</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                  <?php foreach ($purchase_orders as $key => $value) { ?>
                  <tr>
                    <td><?php echo $value["company_id"]; ?></td>
                    <td><?php echo $value["company_name"]; ?></td>
                    <td><?php echo $value["registered_office_add"]; ?></td>
                    <td><?php echo $value["corporate_office_add"]; ?></td>
                    <td><?php echo $value["mobile_no"]; ?></td>
                    <td><?php echo $value["landline_no"]; ?></td>
                    <td><?php echo $value["company_email"]; ?></td>
                    <td><?php echo $value["company_cin"]; ?> </td>
                    <td><?php echo $value["bse_scrip_code"]; ?></td>
                    <td><?php echo $value["nse_scrip_code"]; ?></td>
                    <td><?php echo $value["company_isin"]; ?></td>
                    <td><?php echo $value["cs_name"]; ?></td>
                    <td><?php echo $value["designation"]; ?></td>
                    <td><a href="<?php echo base_url('admin/company_master/master_data_of_company/edit/'.$value["company_id"]); ?>">Edit</a></td>
                  </tr>               
                 
                  <?php } ?>
                  </tbody>
                </table>
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              <!-- <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-left">Place New Order</a> -->
              <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-right">View All LB Orders</a>
            </div>
            <!-- /.box-footer -->
          </div>

              <!-- quick email widget -->
              

            </section><!-- /.Left col -->
            <!-- right col (We are only adding the ID to make the widgets sortable)-->
            
          </div><!-- /.row (main row) -->

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
     
<script type="text/javascript">
  $(function () {
    $("#logbooknormaldash").DataTable({
      "responsive": true, "lengthChange": true, "autoWidth": false, "paging": true, "searching": true, "ordering":true, "info": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#logbooknormaldash_wrapper .col-md-6:eq(0)');
    // $('#logbooknormaldash').DataTable({
    //   "paging": true,
    //   "lengthChange": true,
    //   "searching": true,
    //   "ordering": true,
    //   "info": true,
    //   "autoWidth": false,
    //   "responsive": true,
    // });
  });
</script>