<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>User</h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active">User</li>
    </ol>
  </section>

  <section class="content">

    <div class="row">
      <section class="col-lg-12 connectedSortable">
        <form method="post" action="<?php echo base_url('master/user/add') ?>" enctype="multipart/form-data">
          <div class="box box-danger">
            <div class="box-header with-border">
              <h3 class="box-title">New User</h3>
            </div>
            <div class="box-body order-list">
              <div class="row">
                <div class="col-xs-12 col-sm-6">
                  <label>Full Name</label>
                  <input type="text" class="form-control" name="full_name" placeholder="Full Name" required="required">
                </div>                
                <div class="col-xs-12 col-sm-6">
                  <label>Birth Date</label>
                  <input type="date" class="form-control" name="dob" required="required">
                </div>
                <!-- <div class="col-xs-12 col-sm-6">
                  <label>Gender</label>
                  <div class="radio" style="margin-top: 0px">
                    <label><input type="radio" name="gender" value="1" checked="checked">Male</label>&nbsp;
                    <label><input type="radio" name="gender" value="2">Female</label>
                  </div>
                </div> -->
                <div class="col-xs-12 col-sm-6">
                  <label>Gender</label>
                  <select class="form-control" name="gender">
                    <option value="1">Male</option>
                    <option value="2">Female</option>
                  </select>
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Pancard Number</label>
                  <input type="text" class="form-control" name="pan_no" placeholder="Pancard Number" required="required">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Phone</label>
                  <input type="text" class="form-control" name="phone_number" placeholder="Phone">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Email</label>
                  <input type="text" class="form-control" name="email" placeholder="Email">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Username</label>
                  <input type="text" class="form-control" name="username" placeholder="Username">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Password</label>
                  <input type="password" class="form-control" name="password" placeholder="Password">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>City</label>
                  <input type="text" class="form-control" name="city" placeholder="City">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Designation</label>
                  <input type="text" class="form-control" name="designation" placeholder="Designation">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Department</label>
                  <input type="text" class="form-control" name="department" placeholder="Department">
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Role</label>
                  <select class="form-control" name="user_role_id">
                    <option value="1">Master</option>
                    <option value="2">Admin</option>
                    <option value="3">User-Genral</option>
                  </select>
                </div>
                <div class="col-xs-12 col-sm-6">
                  <label>Profile Image</label>
                  <input type="file" class="form-control" name="profile_image" id="profile_image">
                </div>
              </div>
            </div>

          </div>
          <div class="box-footer clearfix">
            <button type="submit" class="btn btn-sm btn-info btn-flat pull-right">Submit</button>
          </div>

        </div>
      </form>

    </section>
  </div>
</section>
</div>
