 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Users
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active">Users</li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="content">

    <div class="row">
      <div class="col-md-12" id="error_msg_info">
        <?php if ($this->session->flashdata('success')) { ?>
          <div class="alert alert-success fade in" style="margin-top:18px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <strong><?php echo $this->session->flashdata('success'); ?></strong> 
          </div>
        <?php } ?>
        <?php if ($this->session->flashdata('error')) { ?>
          <div class="alert alert-danger fade in" style="margin-top:18px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <strong><?php echo $this->session->flashdata('error'); ?></strong> 
          </div>
        <?php } ?>
      </div>
    </div>

    <!-- Main row -->
    <div class="row">
      <!-- Left col -->
      <section class="col-lg-12 connectedSortable">
        <!-- Custom tabs (Charts with tabs)-->
        <a href="<?php echo base_url('master/user/add') ?>" class="btn btn-sm btn-info btn-flat">Add</a><br><br>
        <div class="box box-info">
          <div class="box-header with-border">
            <h3 class="box-title">Users</h3>

            <div class="box-tools pull-right">
              <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
              </button>
              <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
            </div>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <div class="table-responsive">
              <table class="table no-margin">
                <thead>
                  <tr>
                    <th>Full Name</th>
                    <th>Birth Date</th>
                    <th>Pancard Number</th>
                    <th>Phone</th>
                    <th>Email</th>
                    <th>Username</th>
                    <th></th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach ($users as $key => $value) { ?>
                    <tr>
                      <td><?php echo $value["sdd_user_name"]; ?></td>
                      <td><?php echo $value["sdd_user_dob"]; ?></td>
                      <td><?php echo $value["sdd_user_pan_no"]; ?></td>
                      <td><?php echo $value["sdd_user_phone_number"]; ?></td>
                      <td><?php echo $value["sdd_user_email"]; ?></td>
                      <td><?php echo $value["sdd_user_username"]; ?></td>
                      <td><a href="<?php echo base_url('master/user/edit/'.$value["sdd_user_id"]); ?>">Edit</a> | <a href="<?php echo base_url('master/user/delete/'.$value["sdd_user_id"]); ?>">Delete</a></td>
                    </tr>
                  <?php } ?>
                </tbody>
              </table>
            </div>
            <!-- /.table-responsive -->
          </div>
          <!-- /.box-body -->
          <div class="box-footer clearfix">
            <!-- <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-left">Place New Order</a> -->
            <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-right">View All Users</a>
          </div>
          <!-- /.box-footer -->
        </div>

        <!-- quick email widget -->


      </section><!-- /.Left col -->
      <!-- right col (We are only adding the ID to make the widgets sortable)-->

    </div><!-- /.row (main row) -->

  </section><!-- /.content -->
      </div><!-- /.content-wrapper -->