<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Master_data_of_company extends CI_Controller {
	public function __construct() {
        parent::__construct();
        $this->load->model('Common');
        $this->load->helper(array('form', 'url'));      
    }

    public function index() {
    	$user_id = $_SESSION['userdetails']["sdd_user_id"];
		$purchase_orders = $this->Common->select_data_by_condition("company_master", array('is_delete' => '0'), '*', 'company_id', 'desc', 10, '',array());		
		$data['purchase_orders'] = $purchase_orders;

		$data['total_company_data'] = $this->Common->get_count_of_table_by_condition("company_master", array("is_delete" => "0", "created_by"));

		$data['main_content'] = 'admin/company_master/master_data_of_company/index';
		$this->load->view('includes/template', $data);	
	}

	public function add() {
		if ($this->input->method() == 'post') {
			$profile_image = "";
			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
				}
			}

			$data = array(
				"company_name" => $this->input->post('company_name', TRUE),
				"registered_office_add" => $this->input->post('registere_office', TRUE),
				"corporate_office_add" => $this->input->post('corporate_office', TRUE),
				"mobile_no" => $this->input->post('mobile_no', TRUE),
				"landline_no" => $this->input->post('landline_no', TRUE),
				"company_email" => $this->input->post('email', TRUE),
				"company_cin" => $this->input->post('cin', TRUE),
				"bse_scrip_code" => $this->input->post('bse_script_code', TRUE),
				"nse_scrip_code" => $this->input->post('nse_script_code', TRUE),
				"company_isin" => $this->input->post('isin', TRUE),
				"cs_name" => $this->input->post('cs_name', TRUE),
				"designation" => $this->input->post('designation', TRUE),
				"company_logo " => $profile_image,
				"created_at" => date('Y-m-d h:i:s')
			);
			
			$sdd_user_id = $this->Common->insert_data_getid($data, "company_master");

			$this->session->set_flashdata('success', 'Company master data created successfully.');
			redirect('admin/company_master/master_data_of_company', 'refresh');
		}
		else {
			$data['main_content'] = 'admin/company_master/master_data_of_company/add';
			$this->load->view('includes/template', $data);
		}
	}

	public function edit($sdd_user_id ) {
		if ($this->input->method() == 'post') {
			$data = array(
				"company_name" => $this->input->post('company_name', TRUE),
				"registered_office_add" => $this->input->post('registere_office', TRUE),
				"corporate_office_add" => $this->input->post('corporate_office', TRUE),
				"mobile_no" => $this->input->post('mobile_no', TRUE),
				"landline_no" => $this->input->post('landline_no', TRUE),
				"company_email" => $this->input->post('email', TRUE),
				"company_cin" => $this->input->post('cin', TRUE),
				"bse_scrip_code" => $this->input->post('bse_script_code', TRUE),
				"nse_scrip_code" => $this->input->post('nse_script_code', TRUE),
				"company_isin" => $this->input->post('isin', TRUE),
				"cs_name" => $this->input->post('cs_name', TRUE),
				"designation" => $this->input->post('designation', TRUE),
				"updated_at" => date('Y-m-d h:i:s')
			);

			if ($_FILES) {
				$config['upload_path'] = $this->config->item('upload_profile_image_path');
				$config['allowed_types'] = $this->config->item('upload_profile_image_types');
				$config['file_name'] = uniqid();
				$this->load->library('upload', $config);
				$this->upload->initialize($config);

				if($this->upload->do_upload("profile_image")) {
					$upload_data = $this->upload->data();
					$profile_image = $upload_data["file_name"];
					$data["company_logo "] = $profile_image;
				}
			}
			
			$this->Common->update_data($data, "company_master", "	company_id ", $sdd_user_id );

			$this->session->set_flashdata('success', 'Company master data updated successfully.');
			redirect('admin/company_master/master_data_of_company', 'refresh');
		}
		else {
			$data['user'] = $this->Common->selectRecordByFields("company_master", array("company_id " => $sdd_user_id ));
			$data['main_content'] = 'admin/company_master/master_data_of_company/edit';
			$this->load->view('includes/template', $data);
		}
	}
 }