 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Designated Person
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li class="active">Designated Person</li>
    </ol>
  </section>

  <!-- Main content -->
  <section class="content">

    <div class="row">
      <div class="col-md-12" id="error_msg_info">
        <?php if ($this->session->flashdata('success')) { ?>
          <div class="alert alert-success fade in" style="margin-top:18px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <strong><?php echo $this->session->flashdata('success'); ?></strong> 
          </div>
        <?php } ?>
        <?php if ($this->session->flashdata('error')) { ?>
          <div class="alert alert-danger fade in" style="margin-top:18px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close" title="close">×</a>
            <strong><?php echo $this->session->flashdata('error'); ?></strong> 
          </div>
        <?php } ?>
      </div>
    </div>

    <div class="row">
            <div class="col-lg-4 col-xs-12">
              <!-- small box -->
              <div class="small-box bg-aqua">
                <div class="inner">
                  <h3>Designated Person</h3>
                  <ul class="">
                    <li><a href="#"><span><?php echo $total_person_data; ?></span>Account</a></li>
                  </ul>
                </div>
                <div class="icon">
                  <i class="ion ion-person"></i>
                </div>
              </div>
            </div><!-- ./col -->
           
            
            <!-- ./col -->
          </div>

    <!-- Main row -->
    <div class="row">
      <!-- Left col -->
      <section class="col-lg-12 connectedSortable">
        <!-- Custom tabs (Charts with tabs)-->
        <a href="<?php echo base_url('admin/company_master/designated_person/add') ?>" class="btn btn-sm btn-info btn-flat">Add</a><br><br>
        <div class="box box-info">
          <div class="box-header with-border">
            <h3 class="box-title">Designated Person List</h3>

            <div class="box-tools pull-right">
              <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
              </button>
              <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
            </div>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <div class="table-responsive">
              <table class="table no-margin">
                <thead>
                  <tr>                    
                    <th>DP Emp Id</th>
                    <th>DP Name</th>
                    <th>DP Designation</th>
                    <th>DP Current Address</th>
                    <th>DP Permanent Address</th>
                    <th>DP Pan No</th>
                    <th>DP Identifier No</th>
                    <th>DP Demat Ac No</th>
                    <th>DP Mobile No</th>
                    <th>DP Email Id</th>
                    <th>DP DOB</th>
                    <th>DP City</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach ($purchase_orders as $key => $value) { ?>
                    <tr>                      
                      <td><?php echo $value["person_emp_id"]; ?></td>
                      <td><?php echo $value["person_name"]; ?></td>
                      <td><?php echo $value["current_designation"]; ?></td>
                      <td><?php echo $value["permanent_address"]; ?></td>
                      <td><?php echo $value["correspondenc_address"]; ?></td>
                      <td><?php echo $value["person_pan_no"]; ?></td>
                      <td><?php echo $value["person_identifier_no"]; ?></td>
                      <td><?php echo $value["person_demat_ac_no"]; ?></td>
                      <td><?php echo $value["person_mobile_no"]; ?></td>
                      <td><?php echo $value["person_email_id"]; ?></td>
                      <td><?php echo $value["person_dob"]; ?></td>                      
                      <td><?php echo $value["person_city"]; ?></td>
                      <td><a href="<?php echo base_url('admin/company_master/designated_person/edit/'.$value["person_id"]); ?>">Edit</a></td>
                    </tr>
                  <?php } ?>
                </tbody>
              </table>
            </div>
            <!-- /.table-responsive -->
          </div>
          <!-- /.box-body -->
          <div class="box-footer clearfix">
            <!-- <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-left">Place New Order</a> -->
            <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-right">View All Users</a>
          </div>
          <!-- /.box-footer -->
        </div>

        <!-- quick email widget -->


      </section><!-- /.Left col -->
      <!-- right col (We are only adding the ID to make the widgets sortable)-->

    </div><!-- /.row (main row) -->

  </section><!-- /.content -->
      </div><!-- /.content-wrapper -->