$(document).ready(function($) {

    /** logbooklist list datatable */

    $('#logbooklistdata').DataTable({
         "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
        
    $("#packagefrm").validate({
        rules: {
            packagename: {
                required: true,
            },
            packageamount: {
                required: true,
                number: true
            },
            packageduration: {
                required: true,
            },
         
        },
        // Specify the validation error messages
        messages: {
            packagename: {
                required: "Package Name is required.",
            },
            packageamount: {
                required: "Package amount is required.",
                number:"Please enter numbers Only"
            },
            packageduration: {
                required: "Select Duration.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });

    /** Payment Method  */

    $("#paymentmethodfrm").validate({
        rules: {
            name: {
                required: true,
            },
        
        },
        // Specify the validation error messages
        messages: {
            name: {
                required: "Payment method name is required.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });

    $('#confirm-delete').on('show.bs.modal', function (e) {
        $(this).find('.danger').attr('href', $(e.relatedTarget).data('href'));
    });

    /** Category */

    $('#category').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });

    $("#categoryfrm").validate({
        rules: {
            categoryname: {
                required: true,
            },
        
        },
        // Specify the validation error messages
        messages: {
            categoryname: {
                required: "Category name is required.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });

    /** Payment Method */

    $('#paymentmethod').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
  
    /** Pages  */

    $('#pages').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });

     /** Pages  */

     $("#pagesfrm").validate({
        rules: {
            title: {
                required: true,
            },
            description: {
                required: true,
            },
        
        },
        // Specify the validation error messages
        messages: {
            title: {
                required: "Title is required.",
            },
            description: {
                required: "Description is required.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });

    /** Settings  */

    $("#settingfrm").validate({
        rules: {
            value: {
                required: true,
            },
       
        },
        // Specify the validation error messages
        messages: {
            value: {
                required: "Value is required.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });


    /** Login History */

    $('#login_history').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });

    /** Users List */

    $('#users').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });

    /** Songs List */

    $('#songs').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });

    $("#songsfrm").validate({
        rules: {
            title: {
                required: true,
            },
            songupload: {
                required: true,
            },
       
        },
        // Specify the validation error messages
        messages: {
            title: {
                required: "Title is required.",
            },
            songupload: {
                required: "Upload Song is required.",
            },
        },
        submitHandler: function (form) {
            form.submit();
        }
    });

     /** Settings List */

     $('#settings').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
   
});